<template>
  <div id="app">
    <div class="content">
      <Header/>
      <router-view />
    </div>
    <Footer/>
  </div>
</template>
<script>

import Header from '@/components/header.vue'
import Footer from '@/components/footer.vue'
export default {
  components: {
    Header,
    Footer
  }
}
</script>

<style lang="scss">
html, body {
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
}
.navbar-shadow{
  box-shadow: 0 0 10px 0 rgba(0,0,0,36%);
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  display: flex;
  flex-direction: column;
  height: 100%;
}
.router-link-exact-active.router-link-active{
  font-weight: bold;
}
.content {
  flex: 1 0 auto;
}
footer {
  flex-shrink: 0;
}
.loader {
  position: relative;
  &.activate-loader{
    &:before {
      content: "";
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0%;
      left: 0%;
      background: #eaeaea99;
    }
    &:after {
      content: "";
      position: absolute;
      border: 5px solid #f3f3f3;
      border-radius: 50%;
      border-top: 5px solid #3498db;
      width: 40px;
      height: 40px;
      -webkit-animation: spin 2s linear infinite; /* Safari */
      animation: spin 2s linear infinite;
      top: calc(50% - 20px);
      left:calc(50% - 20px);
    }
  }
}
/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
</style>
